#ifndef INCLUDED_config_h
#define INCLUDED_config_h

/*
 * Set this to the path to settings.conf. All other paths
 * (HPATH etc) are now defined in settings.conf.
 */

#define         SETPATH                 "/usr/local/sockscleaner/settings.conf"

/* 
 * Define this ONLY if your server is a part of UniBg IRC network
 * This will redefine some values like NICKLEN and USERLEN for
 * specific needs of this network
 */

#define UNIBG_SERVICES 

/* 
 * Define this ONLY your network use some kind of services.
 * If you define this, you can specify in settings.conf file
 * hostname of services, to skip proxy check for nicks
 * enforced from services.
 */

#define USE_SERVICES   

/*
 * Define this ONLY if every server on your network is
 * running some form of hybrid ircd. The advantage of
 * this feature is ChanServ will not have to sit in
 * every registered channel, since hybrid allows ChanServ
 * to set modes without having to be in the channel. CSr
 * servers do not allow this, so make sure NO servers
 * on your network are running CSr.
 */

#define         HYBRID_ONLY

/*
 * Define this if you want slower, but little resource consuming
 * daemon, i recomend to dont use this feature
 */

#undef METHOD2

/*
 * Define this if you run Bahamut IRCD from DalNet
 */

#undef BAHAMUT_DAEMON

/*
 * Define this to allocate memory for clients/channels/servers
 * in large chunks rather than doing it individually
 * Advantages:
 *    CPU load will be minimized during netsplits/netjoins
 *   because instead of malloc()/free()'ing every client or channel,
 *   we will already have the space allocated ahead of time
 * Disadvantages:
 *    Slightly more memory is used if a portion of the heap is
 *   unused.
 *
 * Undefining this can be very dangerous, since bound
 * checking is not performed on new clients' usernames
 * and hostnames. It relies on ircd to make sure the
 * client has a valid hostname. Thus, it is much much
 * safer to leave this defined.
 */

/*
 * Define this to use encrypted nickname/channel passwords for
 * your databases
 * << STRONGLY RECOMMENDED >>
 * --NOTE: If you change from using encryption to not using it,
 *         or vice versa, your database files will not work (you'll
 *         have to create new ones)
 */

#define         CRYPT_PASSWORDS

/*
 * Define this if you want to allow users to send commands to 
 * SocksCleaner
 * at thist time we have only 2 commands
 *  STATS          - Display Statistical Info
 *  CHECK hostname - to perform check for specific host
 */

#define         USER_COMMANDS

/* Define this to allow glines from sockscleaner for detected hosts
 * with misconfigured socks servers 
 */

#define          ALLOW_GLINES
#ifdef           ALLOW_GLINES
#define          HYBRID_GLINES
#endif /* ALLOW_GLINES */


/* Define this for debugging purposes */

#undef         DEBUGMODE
#undef         EXTREMEDEBUG
/* full debug, also print info incoming from servers */
#undef         DEBUGMODE2
#endif /* INCLUDED_config_h */
