/*
 * hybdefs.h
 * Copyright (C) 2000 Nedelcho Stanev
 *
 * $Id: hybdefs.h,v 1.00 2000/03/03 22:17:23 decho Exp $
 */

#ifndef INCLUDED_hybdefs_h
#define INCLUDED_hybdefs_h

#ifndef INCLUDED_config_h
#include "config.h"        /* NICKSERVICES ... */
#define INCLUDED_config_h
#endif

#ifndef INCLUDED_sys_types_h
#include <sys/types.h>        /* time_t */
#define INCLUDED_sys_types_h
#endif

struct MyInfo;

#define   MAXLINE     512 /* don't change this */

#ifdef UNIBG_SERVICES
#define   NICKLEN     15  /* nickname length */
#else
#define   NICKLEN      9  /* nickname length */
#endif
#define   REALLEN     50  /* ircd value for max server info length */
#define   USERLEN     32  /* username length */
#define   HOSTLEN     127  /* hostname length */

#define   CHANNELLEN  200 /* channel length */
#define   KEYLEN      23  /* channel key length */
#define   SERVERLEN   63  /* server hostname length */

#define   UHOSTLEN    (USERLEN + HOSTLEN)

/* socket flags */
#define NOSOCKET (-2) /* unused socket in portlist */

#define SOCK_UNUSED  (1 << 0) /* unused socket */
#define SOCK_TCMBOT  (1 << 1) /* socket is a tcm bot connection */
#define SOCK_BOTHUB  (1 << 2) /* tcm bot is the hub */
#define SOCK_PENDING (1 << 3) /* has the tcm sent the password yet? */
#define SOCK_DCC     (1 << 4) /* socket being used for dcc connection */
#define SOCK_EOF     (1 << 5) /* socket EOF'd during write() */
#define SOCK_NEEDID  (1 << 6) /* need ident reply */
#define SOCK_WRID    (1 << 7) /* need to request ident */
#define SOCK_CONNECT (1 << 8) /* connection has been activated */


/*
 * External declarations
 */

extern struct MyInfo             Me;
extern int                       SafeConnect;
extern char                      hVersion[];
extern time_t                    TimeStarted;
extern long                      gmt_offset;
extern time_t                    TimeLastConnected;
extern int                       SplitBurst;
#endif /* INCLUDED_hybdefs_h */
