/*
 * server.h
 * Copyright (C) 2000 Nedelcho Stanev
 *
 * $Id: server.h,v 1.00 2000/03/03 22:17:23 decho Exp $
 */

#ifndef INCLUDED_server_h
#define INCLUDED_server_h

#ifndef INCLUDED_config_h
#include "config.h"       
#define INCLUDED_config_h
#endif

/* Server structure flags */
#define SERV_MYHUB      0x0001 /* services' current hub server */

/* Stores info for servers on network */
struct Server

{
  struct Server *next, *prev, *hnext;

  char *name;

  long numusers;       /* number of users on server */
  long numopers;       /* number of operators on server */
  long numoperkills;   /* number of operator kills */
  long numservkills;   /* number of server kills */

  long numservs;       /* current servers linked */
  struct Server *uplink; /* hub for this server */
  time_t connect_ts;   /* time server has been connected to its hub */

  long flags;

};

struct ServCommand
{
  char *cmd; /* holds command */
  void (* func)(); /* function to call */
};

/*
 * Prototypes
 */

void ProcessInfo(int ac, char **av);

struct Server *AddServer(int ac, char **av);
void DeleteServer(struct Server *sptr);

void do_squit(char *, char *);

void s_sjoin(int ac, char **av);

void ServNotice(char *, char *, int);
void ClearServs();
void check_add(char *nick, char *user, char *host);
void check_del(char* host );
int  if_exist_host( char* host );

/*
 * External decarations
 */

extern struct Server      *ServerList;

extern int iGlined;
extern int iChecked;
extern int iProtected;
extern int iThreads;

#endif /* INCLUDED_server_h */
